Loading...
Searching...
No Matches
adapt_option

## Detailed Description

adapt_option: see the `adapt` page for the full documentation

Examples
  embankment_adapt.cc, and navier_stokes_cavity.cc.

Definition at line 147 of file adapt.h.

Inheritance diagram for adapt_option:

## Public Types

typedef std::vector< int >::size_type | size_type

## Public Member Functions

| adapt_option ()

## Public Attributes

std::string | generator
bool | isotropic
Float | err
Float | errg
Float | hcoef
Float | hmin
Float | hmax
Float | ratio
Float | cutoff
size_type | n_vertices_max
size_type | n_smooth_metric
bool | splitpbedge
Float | thetaquad
Float | anisomax
bool | clean
std::string | additional
bool | double_precision
Float | anglecorner

## Member Typedef Documentation

## size_type

typedef std::vector<int>::size_type size_type

Definition at line 148 of file adapt.h.

## Constructor & Destructor Documentation

## adapt_option()

adapt_option | ( |  | ) |

Definition at line 168 of file adapt.h.

## Member Data Documentation

## generator

std::string generator

Definition at line 149 of file adapt.h.

## isotropic

bool isotropic

Definition at line 150 of file adapt.h.

## err

Float err

Examples
  embankment_adapt.cc, and navier_stokes_cavity.cc.

Definition at line 151 of file adapt.h.

## errg

Float errg

Definition at line 152 of file adapt.h.

## hcoef

Float hcoef

Definition at line 153 of file adapt.h.

## hmin

Float hmin

Examples
  embankment_adapt.cc, and navier_stokes_cavity.cc.

Definition at line 154 of file adapt.h.

## hmax

Float hmax

Examples
  navier_stokes_cavity.cc.

Definition at line 155 of file adapt.h.

## ratio

Float ratio

Definition at line 156 of file adapt.h.

## cutoff

Float cutoff

Definition at line 157 of file adapt.h.

## n_vertices_max

size_type n_vertices_max

Definition at line 158 of file adapt.h.

## n_smooth_metric

size_type n_smooth_metric

Definition at line 159 of file adapt.h.

## splitpbedge

bool splitpbedge

Definition at line 160 of file adapt.h.

## thetaquad

Float thetaquad

Definition at line 161 of file adapt.h.

## anisomax

Float anisomax

Definition at line 162 of file adapt.h.

## clean

bool clean

Definition at line 163 of file adapt.h.

## additional

std::string additional

Definition at line 164 of file adapt.h.

## double_precision

bool double_precision

Definition at line 165 of file adapt.h.

## anglecorner

Float anglecorner

Definition at line 166 of file adapt.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/adapt.h